## ocaml-inotify 0.6

=== Makefile ===
CC = gcc
CFLAGS = -Wall -fPIC -O2
OCAMLC = ocamlc
OCAMLOPT = ocamlopt

OCAMLOPTFLAGS =

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

LIBS = inotify.cmi inotify.cmxa inotify.cma
PROGRAMS = test.inotify

all: $(LIBS)

bins: $(PROGRAMS)

libs: $(LIBS)

inotify.cmxa: libinotify_stubs.a inotify_stubs.a inotify.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -cclib -linotify_stubs -o $@ inotify.cmx

inotify.cma: libinotify_stubs.a inotify.cmi inotify.cmo
	$(OCAMLC) -a -dllib dllinotify_stubs.so -cclib -linotify_stubs -o $@ inotify.cmo

inotify_stubs.a: inotify_stubs.o
	ocamlmklib -o inotify_stubs $+

libinotify_stubs.a: inotify_stubs.o
	ar rcs $@ $+
	ocamlmklib -o inotify_stubs $+

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

.PHONY: install
install: $(LIBS)
	ocamlfind install -destdir $(OCAMLDESTDIR) -ldconf ignore inotify META inotify.cmi inotify.mli inotify.cma inotify.cmxa *.a *.so *.cmx

uninstall:
	ocamlfind remove -destdir $(OCAMLDESTDIR) sqlite3

test.inotify: inotify.cmxa test.inotify.ml
	$(OCAMLOPT) -o $@ unix.cmxa $+

clean:
	-rm -f *.o *.so *.a *.cmo *.cmi *.cma *.cmx *.cmxa $(LIBS) $(PROGRAMS)

## ocaml-inotify 1.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-CC = gcc
-CFLAGS = -Wall -fPIC -O2
 OCAMLC = ocamlc
 OCAMLOPT = ocamlopt
 
@@ -15,7 +13,13 @@
 LIBS = inotify.cmi inotify.cmxa inotify.cma
 PROGRAMS = test.inotify
 
+PKG_NAME = inotify
+
 all: $(LIBS)
+
+all-byte: inotify.cmi inotify.cma
+
+all-opt: inotify.cmi inotify.cmxa inotify.cma
 
 bins: $(PROGRAMS)
 
@@ -44,14 +48,22 @@
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<
 
 %.o: %.c
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(OCAMLC) -c -o $@ $<
+
+OCAMLFIND_INSTALL_FLAGS ?= -destdir $(OCAMLDESTDIR) -ldconf ignore
 
 .PHONY: install
 install: $(LIBS)
-	ocamlfind install -destdir $(OCAMLDESTDIR) -ldconf ignore inotify META inotify.cmi inotify.mli inotify.cma inotify.cmxa *.a *.so *.cmx
+	ocamlfind install $(OCAMLFIND_INSTALL_FLAGS) $(PKG_NAME) META inotify.cmi inotify.mli inotify.cma inotify.cmxa *.a *.so *.cmx
+
+install-byte:
+	ocamlfind install $(OCAMLFIND_INSTALL_FLAGS) $(PKG_NAME) META inotify.cmi inotify.mli inotify.cma *.a *.so
+
+install-opt:
+	ocamlfind install $(OCAMLFIND_INSTALL_FLAGS) $(PKG_NAME) META inotify.cmi inotify.mli inotify.cma inotify.cmxa *.a *.so *.cmx
 
 uninstall:
-	ocamlfind remove -destdir $(OCAMLDESTDIR) sqlite3
+	ocamlfind remove $(OCAMLFIND_INSTALL_FLAGS) $(PKG_NAME)
 
 test.inotify: inotify.cmxa test.inotify.ml
 	$(OCAMLOPT) -o $@ unix.cmxa $+

=== debian/changelog ===
ocaml-inotify (1.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:01:22 +0200

ocaml-inotify (1.0-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Set Architecture to linux-any
  * Bump debhelper compat to 10
  * Switch source package format to 3.0 (quilt)
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * Remove myself from uploaders (Closes: #869316)

  [ Hendrik Tews ]
  * fix watch file

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 05:52:39 +0200

ocaml-inotify (1.0-1) unstable; urgency=low

  * New upstream release
  * Switch to dh-ocaml 0.9.1 to compute dependencies
  * Upgrade Standards-Version to 3.8.3 (no change)
  * Add debian/libinotify-ocaml-dev.ocamldoc to generate ocamldoc
    documentation

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 25 Oct 2009 17:25:35 +0000

ocaml-inotify (0.9-1) unstable; urgency=low

  * Add debian/gbp.conf to force using pristine-tar
  * New Upstream Version (Closes: #521870)
  * Change section to "ocaml"
  * Upgrade Standards-Version to 3.8.1 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 15 Apr 2009 15:58:56 +0200

ocaml-inotify (0.7-2) unstable; urgency=low

  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Set maintainer to Debian OCaml Maintainers
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Mar 2009 14:58:03 +0100

ocaml-inotify (0.7-1) unstable; urgency=low

  * New Upstream Version:
    * Remove patch 01_nogcc, 02_META and 03_ocamlopt which have been applied
      upstream
    * Prevent removal of ocaml-sqlite3 in the clean process

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 28 Jul 2008 22:32:34 +0200

ocaml-inotify (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #485134)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 08 Jun 2008 11:46:51 +0200

=== debian/control ===
Source: ocaml-inotify
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends: cdbs (>= 0.4.52),
 ocaml-nox (>= 3.10.1),
 debhelper (>= 10),
 ocaml-findlib,
 dh-ocaml (>= 0.9.1)
Standards-Version: 3.8.3
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-inotify.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-inotify.git
Homepage: http://projects.snarc.org/ocaml-inotify/

Package: libinotify-ocaml
Architecture: linux-any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the inotify API
 This library provides OCaml bindings for using inotify.
 .
 Inotify is a Linux kernel subsystem, that notice changes to the filesystem,
 and report those changes to applications.
 .
 This package contains shared library.

Package: libinotify-ocaml-dev
Architecture: linux-any
Depends: ${ocaml:Depends}, libinotify-ocaml (= ${binary:Version}), ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the inotify API
 This library provides OCaml bindings for using inotify.
 .
 Inotify is a Linux kernel subsystem, that notice changes to the filesystem,
 and report those changes to applications.
 .
 This package contains header and OCaml library.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-inotify package
# Copyright (C) 2008-2009 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DESTDIR_DEV=$(CURDIR)/debian/libinotify-ocaml-dev
DESTDIR=$(CURDIR)/debian/libinotify-ocaml

DEB_MAKE_CLEAN_TARGET    := clean
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    := all-opt
DEB_MAKE_INSTALL_TARGET  := install-opt
else
DEB_MAKE_BUILD_TARGET    := all-byte
DEB_MAKE_INSTALL_TARGET  := install-byte
endif
DEB_MAKE_INSTALL_TARGET  += OCAMLDESTDIR="$(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)"

OCAML_OCAMLDOC_PACKAGES = libinotify-ocaml-dev

install/libinotify-ocaml-dev::
	mv $(DESTDIR_DEV)/$(OCAML_STDLIB_DIR)/inotify/*.so '$(DESTDIR)/$(OCAML_DLL_DIR)/'

=== debian/watch ===
version=3
http://projects.snarc.org/ocaml-inotify/ \
.*/ocaml_inotify[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## ocaml-inotify 2.0

=== debian/changelog ===
ocaml-inotify (2.0-1) UNRELEASED; urgency=low

  * Update to 2.0

 -- David Scott <dave.scott@citrix.com>  Tue, 14 Oct 2014 12:00:00 +0000

ocaml-inotify (1.3-1) UNRELEASED; urgency=low

  * Initial package for Fedora 20.

 -- Edvard Fagerholm <edvard.fagerholm@gmail.com>  Wed, 01 Jan 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-inotify
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 chrpath,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 ocaml-native-compilers (>= 4.00.1),
 camlp4-extra,
 ocaml-nox (>= 4.00.1),
 ocaml-findlib,
 libfindlib-ocaml-dev

Package: ocaml-inotify
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Inotify bindings for OCaml.
 Inotify bindings for OCaml.

Package: ocaml-inotify-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-inotify (>= 2.0-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-inotify
 The ocaml-inotify-devel package contains libraries and signature
 files for developing applications that use ocaml-inotify.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-inotify/usr/lib/ocaml/inotify/*.a
	rm -f debian/ocaml-inotify/usr/lib/ocaml/inotify/*.cmxa
	rm -f debian/ocaml-inotify/usr/lib/ocaml/inotify/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	rm -rf $RPM_BUILD_ROOT

.PHONY: override_dh_auto_test
override_dh_auto_test:

## ocaml-inotify 2.3

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ api.docdir/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

VERSION      := $$(oasis query version)
NAME_VERSION := $$(oasis query name).$(VERSION)
ARCHIVE      := https://github.com/whitequark/ocaml-inotify/archive/v$(VERSION).tar.gz

release:
	git checkout -B release
	oasis setup
	git add .
	git commit -m "Generate OASIS files."
	git tag -a v$(VERSION) -m "Version $(VERSION)."
	git push origin v$(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	cp opam $(NAME_VERSION)/opam
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)
	git checkout @{-1}
	git branch -D release

.PHONY: gh-pages release

=== debian/changelog ===
ocaml-inotify (2.3-2build5) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:46 +0100

ocaml-inotify (2.3-2build4) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:51 +0100

ocaml-inotify (2.3-2build3) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 19:45:32 +0000

ocaml-inotify (2.3-2build2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 18:59:25 +0100

ocaml-inotify (2.3-2build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Nov 2020 07:24:25 +0100

ocaml-inotify (2.3-2) unstable; urgency=medium

  * Export CAML_LD_LIBRARY_PATH in debian/rules so that tests can run on
    bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 11:44:22 +0200

ocaml-inotify (2.3-1) unstable; urgency=medium

  * Team upload
  * Update Homepage and debian/watch
  * New upstream release
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 07:56:07 +0200

ocaml-inotify (1.0-3) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 09:05:32 +0200

=== debian/control ===
Source: ocaml-inotify
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-findlib,
 ocamlbuild,
 liblwt-ocaml-dev,
 libfileutils-ocaml-dev,
 libounit-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-inotify
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-inotify.git
Homepage: https://github.com/whitequark/ocaml-inotify

Package: libinotify-ocaml
Architecture: linux-any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libinotify-ocaml-dev (<< 2.3)
Replaces: libinotify-ocaml-dev (<< 2.3)
Description: OCaml bindings for the inotify API
 This library provides OCaml bindings for using inotify.
 .
 Inotify is a Linux kernel subsystem, that notice changes to the filesystem,
 and report those changes to applications.
 .
 This package contains shared library.

Package: libinotify-ocaml-dev
Architecture: linux-any
Depends: ${ocaml:Depends}, libinotify-ocaml (= ${binary:Version}), ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the inotify API
 This library provides OCaml bindings for using inotify.
 .
 Inotify is a Linux kernel subsystem, that notice changes to the filesystem,
 and report those changes to applications.
 .
 This package contains header and OCaml library.

=== debian/watch ===
version=3
https://github.com/whitequark/ocaml-inotify/releases .*/archive/v?([0-9.]+)\.tar\.gz

## ocaml-inotify 2.4.1

=== debian/changelog ===
ocaml-inotify (2.4.1-3) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 11:58:21 +0100

ocaml-inotify (2.4.1-2) unstable; urgency=medium

  * Team upload
  * Add again ocaml-findlib to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 08:31:19 +0100

ocaml-inotify (2.4.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Feb 2023 07:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ocaml-inotify
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
  liblwt-ocaml-dev,
  libfileutils-ocaml-dev,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-inotify
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-inotify.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p inotify

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_auto_test:
	dune runtest -p inotify

=== debian/watch ===
version=4
https://github.com/whitequark/ocaml-inotify/tags .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz

## ocaml-inotify 2.5

=== debian/changelog ===
ocaml-inotify (2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Feb 2024 11:52:54 +0100

ocaml-inotify (2.4.1-5) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:58:18 +0200

ocaml-inotify (2.4.1-4) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:21:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
- liblwt-ocaml-dev,
- libfileutils-ocaml-dev,
- libounit-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.1
+ liblwt-ocaml-dev <!nocheck>,
+ libfileutils-ocaml-dev <!nocheck>,
+ libounit-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-inotify
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-inotify.git

## ocaml-inotify 2.6

=== Makefile ===
build:
	dune build -p inotify

test: build
	dune runtest

doc:
	dune build @doc

install:
	dune build @install
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ api.docdir/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

release:
	dune-release

.PHONY: gh-pages release

=== debian/changelog ===
ocaml-inotify (2.6-2) unstable; urgency=medium

  * Team upload
  * Fix Build-Depends for nocheck profile (Closes: #1116831)
  * Bump Standards-Version to 4.7.2
  * Bump debian/watch to version 5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Oct 2025 10:08:49 +0200

ocaml-inotify (2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 08:49:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  ocaml,
  ocaml-findlib,
  ocaml-dune,
- liblwt-ocaml-dev <!nocheck>,
+ liblwt-ocaml-dev,
  libfileutils-ocaml-dev <!nocheck>,
  libounit-ocaml-dev <!nocheck>,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-inotify
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-inotify.git

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/whitequark/ocaml-inotify/releases?per_page=50
Matching-Pattern: https://[^ "]+/inotify-@ANY_VERSION@\.tbz
Searchmode: plain
